Main Page Widgets Namespaces Book

# Gtk::PageSetupUnixDialog Class Reference
[Printing]

Inheritance diagram for Gtk::PageSetupUnixDialog:

[legend]

List of all members.

## Detailed Description

PageSetupUnixDialog implements a page setup dialog for platforms which don't provide a native page setup dialog, like Unix.

It can be used very much like any other GTK+ dialog, at the cost of the portability offered by the high-level printing API exposed through PrintOperation.

Since gtkmm 2.10:

## Public Member Functions

Glib::RefPtr<const PageSetup> | get_page_setup () const
| Gets the currently selected page setup from the dialog.
Glib::RefPtr<PageSetup> | get_page_setup ()
| Gets the currently selected page setup from the dialog.
Glib::RefPtr<const PrintSettings> | get_print_settings () const
| Gets the current print settings from the dialog.
Glib::RefPtr<PrintSettings> | get_print_settings ()
| Gets the current print settings from the dialog.
const GtkPageSetupUnixDialog* | gobj () const
| Provides access to the underlying C GtkObject.
GtkPageSetupUnixDialog* | gobj ()
| Provides access to the underlying C GtkObject.
| PageSetupUnixDialog (const Glib::ustring& title)
| PageSetupUnixDialog (Gtk::Window& parent, const Glib::ustring& title)
void | set_page_setup (const Glib::RefPtr<PageSetup>& page_setup)
| Sets the Gtk::PageSetup from which the page setup dialog takes its values.
void | set_print_settings (const Glib::RefPtr<PrintSettings>& print_settings)
| Sets the Gtk::PrintSettings from which the page setup dialog takes its values.
virtual | ~PageSetupUnixDialog ()

## Related Functions

(Note that these are not member functions.)
Gtk::PageSetupUnixDialog* | wrap (GtkPageSetupUnixDialog* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::PageSetupUnixDialog::~PageSetupUnixDialog | ( |  | ) | `[virtual]`

Gtk::PageSetupUnixDialog::PageSetupUnixDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring & | title |
| ) |  |  | `[explicit]`

Gtk::PageSetupUnixDialog::PageSetupUnixDialog | ( | const Glib::ustring & | title | ) | `[explicit]`

## Member Function Documentation

Glib::RefPtr<const PageSetup> Gtk::PageSetupUnixDialog::get_page_setup | ( |  | ) | const

Gets the currently selected page setup from the dialog.

Returns:
  The current page setup

Since gtkmm 2.10:

Glib::RefPtr<PageSetup> Gtk::PageSetupUnixDialog::get_page_setup | ( |  | ) |

Gets the currently selected page setup from the dialog.

Returns:
  The current page setup

Since gtkmm 2.10:

Glib::RefPtr<const PrintSettings> Gtk::PageSetupUnixDialog::get_print_settings | ( |  | ) | const

Gets the current print settings from the dialog.

Returns:
  The current print settings

Since gtkmm 2.10:

Glib::RefPtr<PrintSettings> Gtk::PageSetupUnixDialog::get_print_settings | ( |  | ) |

Gets the current print settings from the dialog.

Returns:
  The current print settings

Since gtkmm 2.10:

const GtkPageSetupUnixDialog* Gtk::PageSetupUnixDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

GtkPageSetupUnixDialog* Gtk::PageSetupUnixDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

void Gtk::PageSetupUnixDialog::set_page_setup | ( | const Glib::RefPtr<PageSetup>& | page_setup | ) |

Sets the Gtk::PageSetup from which the page setup dialog takes its values.

Since gtkmm 2.10:

Parameters:

  | page_setup | A Gtk::PageSetup.

void Gtk::PageSetupUnixDialog::set_print_settings | ( | const Glib::RefPtr<PrintSettings>& | print_settings | ) |

Sets the Gtk::PrintSettings from which the page setup dialog takes its values.

Since gtkmm 2.10:

Parameters:

  | print_settings | A Gtk::PrintSettings.

## Friends And Related Function Documentation

Gtk::PageSetupUnixDialog* wrap | ( | GtkPageSetupUnixDialog * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- pagesetupunixdialog.h